maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vincent Privat (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MCHECKSTYLE-323) usage of checkstyle 7.0 (jdk8 is required)
Date Mon, 27 Feb 2017 11:59:45 GMT

    [ https://issues.apache.org/jira/browse/MCHECKSTYLE-323?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15885653#comment-15885653
] 

Vincent Privat commented on MCHECKSTYLE-323:
--------------------------------------------

We have a project com.xxx.yyy that requires JAVA_HOME to be set to Java 7 and still want to
use the latest version of Checkstyle available with Eclipse (7.3 at this time).
In order to do it we tried this configuration to use a jdk8 toolchain:
{code:xml}
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-checkstyle-plugin</artifactId>
				<version>2.17</version>
				<dependencies>
					<dependency>
						<groupId>com.xxx.yyy</groupId>
						<artifactId>yyy-checkstyle</artifactId>
						<version>2.7.3</version>
					</dependency>
					<dependency>
						<groupId>com.puppycrawl.tools</groupId>
						<artifactId>checkstyle</artifactId>
						<version>7.3</version>
					</dependency>
				</dependencies>
				<configuration>
					<configLocation>conf/checkstyle/checkstyle_config_maven.xml</configLocation>
					<packageNamesLocation>checkstyle_packages.xml</packageNamesLocation>
                    <suppressionsLocation>conf/checkstyle/src/main/resources/checkstyle_suppressions.xml</suppressionsLocation>
					<toolchains>
						<jdk><version>[1.8,)</version></jdk>
					</toolchains>
				</configuration>
			</plugin>
{code}
Buut it doesn't seem to work. I don't know if my configuration is wrong, or if the plugin
is not toolchain-aware?

> usage of checkstyle 7.0 (jdk8 is required)
> ------------------------------------------
>
>                 Key: MCHECKSTYLE-323
>                 URL: https://issues.apache.org/jira/browse/MCHECKSTYLE-323
>             Project: Maven Checkstyle Plugin
>          Issue Type: Bug
>            Reporter: Roman Ivanov
>
> Checkstyle 7.0 requires jdk8 for runtime.
> It will be good to have special version of maven plugin that is using it, as good milestone.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message